Bug 54531 - ORA-01401 at StoreTools.pm
Summary: ORA-01401 at StoreTools.pm
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Web Site
Classification: Red Hat
Component: Other   
(Show other bugs)
Version: current
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Web Development
QA Contact: Web Development
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-11 15:06 UTC by Jay Turner
Modified: 2015-01-07 23:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-25 15:15:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Turner 2001-10-11 15:06:52 UTC
Description of Problem:
Getting this error in the error_log on app[23].rwc-colo.

DBD::Oracle::db do failed: ORA-01401: inserted value too large for column
(DBD ERROR: OCIStmtExecute) at /var/www/apps/Apps/StoreTools.pm line 1464.

Version-Release number of selected component (if applicable):

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Randy J. Ray 2001-10-11 22:57:54 UTC
I've looked over the code for this carefully, and it seems that the code is
fine. Rather, one or more shopping carts have enough items in them that the
encoded version of the data-object exceeds the size of that column in the Oracle
table (rh_cart.contents, I'm guessing). It would seem that the only real fix is
to enlarge this column. Note that this is a separate thing from the storing of
session data.

Comment 2 Jay Turner 2001-10-12 13:54:50 UTC
Well, there are two occurrances of this since September 19, and they occurred
within about 30 minutes of one another, so I'm guessing this was just a fluck of
sorts.  I'll keep my eyes open for another instance, but right now I think the
two on 10/10 are just oddities.

Comment 3 Tom Lancaster 2002-07-29 16:49:44 UTC
I don't think there's been any sign of this in a while, has there ?


Note You need to log in before you can comment on or make changes to this bug.